Categories:
  - Internet
License: GPL-3.0-only
AuthorName: MetaCubeX
WebSite: https://docs.metacubex.one
SourceCode: https://github.com/MetaCubeX/ClashMetaForAndroid
IssueTracker: https://github.com/MetaCubeX/ClashMetaForAndroid/issues

Name: ClashMetaForAndroid

RepoType: git
Repo: https://github.com/MetaCubeX/ClashMetaForAndroid.git

Builds:
  - versionName: 2.5.11-pre01.Meta-Alpha
    versionCode: 205011
    commit: 44ab789450f5fe1d59a8d4a61a1fbe7e038e4622
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lso go.tar.gz https://go.dev/dl/go1.18.3.linux-amd64.tar.gz
      - echo "956f8507b302ab0bb747613695cdae10af99bbd39a90cae522b7c0302cc27245 go.tar.gz"
        | sha256sum -c -
      - tar xzf go.tar.gz --strip-components=1 -C /usr/local/
    gradle:
      - meta-alpha
    prebuild:
      - sed -i -e '/isEnable = true/d' -e 's|maven.kr328.app/releases|jitpack.io|'
        ../build.gradle.kts
      - sed -i -e 's/com.github.kr328.golang:gradle-plugin:$golang/com.github.Kr328.golang-android-plugin:gradle-plugin:cc84891461/'
        -e 's/:$kaidl/:7710f4347c/' ../settings.gradle.kts
    ndk: r23

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.5.11-pre01.Meta-Alpha
CurrentVersionCode: 205011
